@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Jost:ital,wght@0,100..900;1,100..900&family=Manrope:wght@200..800&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --font-family-dm-sans: "DM Sans", sans-serif;
  --font-family-jost: "Jost", serif;
  --font-family-manrope: "Manrope", sans-serif;
  --font-family-montserrat: "Montserrat", sans-serif;
  --font-family-playfair: "Playfair Display", serif;
  --font-family-plus-jakarta: "Plus Jakarta Sans", sans-serif;
  --font-family-raleway: "Raleway", sans-serif;
  --color-b: #022b5f;
  --color-b-2: #183153;
  --color-b-3: #c5ddff49;
  --color-y: #fd9303;
  --color-y-2: #ffca803b;
  --gradient-b: linear-gradient(135deg, #022b5f 0%, #1a3f74 35%, #2f67c2 100%);
}

* {
  margin: 0;
  padding: 0;
  font-family: var(--font-family-manrope);
}

/* GLOBAL */

a {
  text-decoration: none !important;
}

.bg-b {
  background: var(--color-b);
}

.bg-b-2 {
  background: var(--color-b-2);
}

.bg-b-3 {
  background: var(--color-b-3);
}

.bg-y {
  background: var(--color-y);
}

.bg-y-2 {
  background: var(--color-y-2);
}

.gradient-b {
  background: var(--gradient-b);
}

.color-b {
  color: var(--color-b);
}

.color-b-2 {
  color: var(--color-b-2);
}

.color-y {
  color: var(--color-y);
}

.color-y-2 {
  color: var(--color-y-2);
}

body .border-b {
  --bs-border-opacity: 1;
  border-color: var(--color-b) !important;
}

body .border-y {
  --bs-border-opacity: 1;
  border-color: var(--color-y) !important;
}

/* btn-theme */
.btn-theme-y {
  display: inline-block;
  padding: 0.75rem 2rem;
  background-color: var(--color-y);
  color: var(--color-b);
  border: 1px solid var(--color-y);
  transition: all 0.3s ease;
  box-shadow: 0 4px 12px rgba(236, 236, 236, 0.1);
  cursor: pointer;
}

.btn-theme-y:hover {
  background-color: transparent;
  border-color: #ffffff;
  color: #fff;
  transform: translateY(-2px);
  box-shadow: 0 6px 18px rgba(255, 171, 103, 0.15);
}

.btn-theme-b {
  display: inline-block;
  padding: 0.75rem 2rem;
  background-color: var(--color-b);
  color: #ffffff;
  border: 1px solid var(--color-b);
  transition: all 0.3s ease;
  box-shadow: 0 4px 12px rgba(236, 236, 236, 0.1);
  cursor: pointer;
}

.btn-theme-b:hover {
  background-color: var(--color-y);
  border-color: var(--color-y);
  color: var(--color-b);
  transform: translateY(-2px);
  box-shadow: 0 6px 18px rgba(255, 171, 103, 0.15);
}

/* hero-btn */
.hero-btn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  background: var(--color-y);
  box-shadow: 0px 6px 24px 0px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  cursor: pointer;
  border: none;
}

.hero-btn:after {
  content: " ";
  width: 0%;
  height: 100%;
  background: var(--color-b);
  position: absolute;
  transition: all 0.4s ease-in-out;
  right: 0;
}

.hero-btn:hover::after {
  right: auto;
  left: 0;
  width: 100%;
}

.hero-btn span {
  text-align: center;
  text-transform: uppercase;
  width: 100%;
  padding: 18px 25px;
  color: var(--color-b);
  font-size: 1.125em;
  font-weight: 700;
  letter-spacing: 0.3em;
  z-index: 20;
  transition: all 0.3s ease-in-out;
}

.hero-btn:hover span {
  color: #ffffff;
  animation: scaleUp 0.3s ease-in-out;
}

@keyframes scaleUp {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(0.95);
  }

  100% {
    transform: scale(1);
  }
}

.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 80%;
  height: 100%;
  background: linear-gradient(to right, var(--color-b), transparent);
  z-index: 1;
  opacity: 0.7;
  pointer-events: none;
}
/* ---------------------------------------- */
/* ---------------------------------------- */
/* ---------------------------------------- */
/* HEADER */
.logo {
  max-width: 200px;
  height: auto;
}

/* HERO */
.hero {
  height: 700px;
}

.hero-title {
  max-width: 700px;
}

.hero-subtitle {
  max-width: 500px;
  letter-spacing: 4px;
}

/* ABOUT */

.about {
  background: var(--color-y);
  position: relative;
}

.about::before {
  content: "";
  position: absolute;
  width: 80%;
  height: 100%;
  background-color: var(--color-b);
  top: 0;
  right: 0;
  z-index: 0;
}

.about > div {
  position: relative;
}
/* SERVICES */
.service-card {
  min-height: 500px;
  color: #ffffff;
  overflow: hidden;
  position: relative;
}

.service-card-content {
  background-color: #022a5f33;
  position: relative;
  z-index: 1;
}

.service-card-content::before {
  --service-size: 70%;
  content: "";
  position: absolute;
  width: var(--service-size);
  height: var(--service-size);
  background: var(--gradient-b);
  top: 0;
  left: 110%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  z-index: -1;
  transition: all 0.5s ease-in-out;
}

.service-card:hover .service-card-content::before {
  width: 150%;
  height: 150%;
  top: 125%;
  left: 125%;
  transform: translate(-100%, -100%);
  opacity: 0.7;
}

.service-card:hover .service-card-content {
  background-color: transparent;
}

/* COMPARISON */
.comparison li {
  position: relative;
  padding-left: 1.5em;
}

.comparison li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1em;
  height: 1em;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' class='bi bi-check' viewBox='0 0 16 16'%3E%3Cpath fill='%23022b5f' d='M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-size: contain;
}
.comparison .smart-track li::before {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' class='bi bi-check' viewBox='0 0 16 16'%3E%3Cpath fill='%23fd9303' d='M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z'/%3E%3C/svg%3E");
}

/* CTA */
.cta {
  background: var(--color-b-3);
  position: relative;
}

.cta::before {
  content: "";
  position: absolute;
  width: 40%;
  height: 100%;
  background-color: var(--color-b);
  top: 0;
  right: 0;
  z-index: 0;
}

.cta > div {
  position: relative;
}

/* TESTIMONIAL */

.testimonial-container {
  position: relative;
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  padding: 1em;
}

.testimonial-container .marquee {
  display: flex;
  gap: 20px;
  animation: scroll 30s linear infinite;
}

.testimonial-container .marquee-reverse {
  animation: scroll-reverse 30s linear infinite;
}

.testimonial-card {
  display: inline-block;
  background: white;
  padding: 1.5rem 1rem;
  border-radius: 2rem;
  box-shadow: 0 4px 8px rgba(54, 34, 128, 0.171);
  text-align: center;
  min-width: 300px;
  white-space: normal;
}

.testimonial-card .user {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin-bottom: 10px;
}

.testimonial-card .stars {
  padding: 0.5rem 1rem;
  background-color: var(--theme-primary);
  width: max-content;
  border-radius: 0.8rem;
  margin-bottom: 1rem;
}

.testimonial-card .stars .star-img {
  width: 1.1rem;
  height: auto;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

@keyframes scroll-reverse {
  from {
    transform: translateX(-50%);
  }
  to {
    transform: translateX(0);
  }
}

.marquee-wrapper {
  display: flex;
  width: 200%;
}

.testimonial-container::before,
.testimonial-container::after {
  content: "";
  position: absolute;
  top: 0;
  width: 10%;
  height: 100%;
  z-index: 1;
}

.testimonial-container::before {
  left: 0;
  background: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
}

.testimonial-container::after {
  right: 0;
  background: linear-gradient(to left, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
}

/* CALL TO ACTION */
.call-to-action-inner::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url(../asset/home/bottom-cta.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  top: 0;
  left: 0;
  z-index: 0;
  opacity: 0.9;
}

/* BOOKMARK */
.bookmark {
  background-image: url(../asset/bk.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  color: var(--color-b);
}

.bookmark::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  /* width: 90%;
  background: linear-gradient(to right, var(--color-b), transparent); */
  width: 40%;
  background: var(--color-y);
  border-bottom-right-radius: var(--bs-border-radius-xxl);
  box-shadow: 20px 0px 1px #fd95033f;
  z-index: 1;
  pointer-events: none;
}

.bookmark > div {
  position: relative;
  z-index: 2;
}

.bookmark a {
  color: var(--color-b);
  font-weight: 600;
  stroke: var(--color-b);
  transition: all 0.3s ease-in-out;
  position: relative;
}

.bookmark a:hover {
  color: #ffffff;
  stroke: #ffffff;
}

.bookmark a svg {
  width: 0.875em;
  height: 0.875em;
  margin-top: -0.2em;
}

/* CONTACT CARD */

.contact-card-icon {
  background: var(--color-y-2);
  padding: 1.5em;
  border-radius: 50%;
  width: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 1em;
}

.contact-card-icon svg {
  stroke: var(--color-y);
}

.contact-card-overlay {
  top: 0;
  right: 0;
}

.contact-overlay-img {
  width: 5em;
  height: 5em;
}

/* Contact Form */

.form-control,
.form-select {
  padding: 0.75rem 1.5rem !important;
  background-color: #ffffffd2 !important;
}

.form-control:focus,
.form-select:focus {
  box-shadow: 0 0 0 0.25rem var(--color-y-2) !important;
  border-color: var(--color-y) !important;
}

#contactFormSubmit.success,
#contactFormSubmit.success:hover {
  background-color: var(--color-y) !important;
  border-color: var(--color-y) !important;
  color: var(--color-b) !important;
  pointer-events: none !important;
}

/* IDEAL PROPERTY */
.ideal-property .card-icon,
.ideal-property-cards .card-icon {
  background-color: var(--color-y-2);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  width: 80px;
  height: 80px;
  font-size: 2em;
  color: var(--color-y);
}

/* FAQ */
.faq {
  background-color: var(--color-b-3);
}

.accordion-button:focus {
  box-shadow: none !important;
}

.accordion {
  --bs-accordion-bg: #ffffff42 !important;
}

/* PURCHASE */
.purchases img {
  border-radius: 1em;
}

.purchases-title {
  position: relative;
  display: flex;
  gap: 0.5em;
  align-items: center;
  color: var(--color-b);
}
.purchases-title.two {
  justify-content: end;
}

.purchases-title.one::after,
.purchases-title.two::before {
  content: "";
  position: relative;
  display: inline-block;
  width: 20%;
  height: 2px;
  background-color: var(--color-y);
  opacity: 0.7;
}

/* MORE SERVICES */
.more-services {
  background-color: var(--color-b);
  margin-bottom: 5em;
}

.more-services .slider-wrapper {
  white-space: nowrap;
  overflow: hidden;
  position: relative;
}

.more-services .slider-track {
  display: inline-block;
  white-space: nowrap;
  padding: 8px 0;
  animation: scroll-left 20s linear infinite;
}

.more-services .slider-track span {
  display: inline-flex;
  align-items: center;
  gap: 24px;
  margin: 0 24px;
  font-weight: 400;
  color: #ffffff;
}
.more-services .slider-track span::before {
  content: "";
  position: relative;
  width: 20px;
  height: 20px;
  background-color: var(--color-y);
  display: inline-block;
  border-radius: 50%;
}

@keyframes scroll-left {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-50%);
  }
}

/* WHATSAPP ICON*/
.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
  transform: scale(1);
  transition: all 0.3s ease;
}
.whatsapp-float img {
  max-width: 60px;
  height: auto;
}

.whatsapp-float:hover {
  transform: scale(1.1);
}

/* Motion Wave */
.wave {
  animation: slide-down 3s linear infinite alternate both;
  position: relative;
}

@keyframes slide-down {
  0% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(10px);
  }
}
